#include <Wire.h>
#include <avr/io.h>

const int motorPin1 = 0; // Example motor control pin 1 (OUT1)
const int motorPin2 = 1; // Example motor control pin 2 (OUT2)

void setup() {
  pinMode(motorPin1, OUTPUT);
  pinMode(motorPin2, OUTPUT);
  Wire.begin(0x08); // Set this ATTiny as I2C slave with address 0x08
  Wire.onReceive(receiveEvent);
}

void receiveEvent(int howMany) {
  while (Wire.available()) {
    int command = Wire.read();
    if (command == 1) {
      // Turn motor in one direction
      digitalWrite(motorPin1, HIGH);
      digitalWrite(motorPin2, LOW);
    } else {
      // Stop motor
      digitalWrite(motorPin1, LOW);
      digitalWrite(motorPin2, LOW);
    }
  }
}

void loop() {
  // Nothing needed here
}
